
* {
    font-family: 'Open Sans' !important;
    letter-spacing: -0.6px !important;
}
.toastify {
    padding: 10px;
    padding-left: 22px;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.toast-close {
    color: #000;
    font-size: 1rem !important;
}

.hidden {
    display: none;
}

.modal.zoomIn .modal-dialog {
    opacity: 0;
    -webkit-transform: scale(0.7);
    transform: scale(0.7);
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.modal.zoomIn.show .modal-dialog {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.form-control, .form-select, .col-form-label {
    padding: 0.2rem 0.2rem;
    font-size: 0.85rem;
    border-radius: .14rem;
    -webkit-box-shadow: none;
    /* border: 0.5px solid var(--falcon-input-border-color); */
}

.form-control:focus, .form-select:focus {
    color: var(--falcon-input-color);
    background-color: var(--falcon-input-bg);
    border-color: var(--falcon-input-focus-border-color);
    box-shadow: var(--falcon-box-shadow-inset), 0 0 0 .1rem rgba(44, 123, 229, .25);
}
.form-select {
    background-position: right 0.2rem center!important;
}
.form-label {
    margin-bottom: .2rem;
}
.form-search {
    position: relative;
}

.form-search input {
    width: 100%;
}
.form-check-input:focus {
    /*color: var(--falcon-input-color);*/
    outline: 0;
    -webkit-box-shadow: 0 0 0 .25rem rgba(44, 123, 229, .25);
    border-color: var(--falcon-input-focus-border-color);
    box-shadow: var(--falcon-box-shadow-inset), 0 0 0 .1rem rgba(44, 123, 229, .25);
}

.form-check-input:checked {
    background-color: #2c7be5;
    border-color: #2c7be5;
}

.form-search button {
    padding: 0 0.2rem !important;
    /* margin: 0.21rem 0; */
    font-size: 0.85rem;
    height: fit-content;
    position: absolute;
    right: 0.6rem;
    bottom: 0;
    top: 0.25rem;
    border: 0;
    box-shadow: none;
}

.consistent-height .tab-content {
    display: flex;
}

.consistent-height .tab-content > .tab-pane {
    display: block; /* undo "display: none;" */
    visibility: hidden;
    margin-right: -100%;
    width: 100%;
}

.consistent-height .tab-content > .active {
    visibility: visible;
}

/* form-table-delete button */
.btn-delete {
    padding: 0.01rem 0.6rem;
    height: fit-content;
    font-size: 0.85rem;
}

.badge-soft-gold {
    color: #565313;
    background-color: #ebc6198a;
}

.navbar-vertical .navbar-nav .nav-item .nav-link:hover, .navbar-vertical .navbar-nav .nav-item .nav-link:focus {
    color: var(--falcon-navbar-vertical-link-active-color);
}
/*fix margin, padding*/
#content-main {
    padding-bottom: 2rem !important;
}

#toolBox .card-body{
    padding: 0.5rem !important;
}
/*fix margin, padding*/



@media (min-width: 1200px) {
    .navbar-vertical.navbar-expand-xl + .content {
        margin-left: 13rem;
    }
}

/* input number cònfig  Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

table .form-control:not(.border-inp), table .form-select:not(.border-inp) {
    border-radius: 0 !important;
    border: 0 !important;
}
/* button */

button {
    font-size: .8333333333rem !important;
}

.navbar-top {
    min-height: 0 !important;
    padding-top: 0.4rem !important;
    padding-bottom: 0.4rem !important;
}

#navTop ul li {
    padding-top: 0;
    padding-bottom: 0;
}

#navTop ul li {
    padding-top: 0;
    padding-bottom: 0;
}

    #navTop ul li a {
        padding-top: 0;
        padding-bottom: 0;
    }

#navTop .avatar {
    vertical-align: middle;
}



#logoBar .navbar-brand div {
    padding: 0 !important;
}

#logoBar .navbar-brand img {
    /* scale: 0.95; */
}

.form-control:disabled, .form-control[readonly] {
    background-color: #f9f9f9;
    opacity: 1;
}

.bg-300 {
    background-color: #f9f9f9 !important;
}

table thead.shadow {
    background-color: #f9f9f9 !important;
    /* box-shadow: 0px 6px 17px -3px rgba(44,123,229,0.48)!important;
-webkit-box-shadow: 0px 6px 17px -3px rgba(44,123,229,0.48)!important;
-moz-box-shadow: 0px 6px 17px -3px rgba(44,123,229,0.48)!important; */
}

.table-height {
    /*max-height: 75vh;*/
    height: 75vh;
    overflow-y: auto;
}

.table-height-inside {
    height: 70vh;
    overflow-y: auto;
}

.table-height-50 {
    height: 35vh;
    overflow-y: auto;
}
.table-height-auto {
    overflow-y: auto;
}


.table-height thead tr,
.table-height-50 thead tr,
.table-height-auto thead tr,
.table-height-inside thead tr {
    border-top: 0;
    position: relative;
}


.table-height-auto #headerTitle:after,
.table-height thead #headerTitle:after,
.table-height-50 thead #headerTitle:after,
.table-height-inside thead #headerTitle:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: -1px;
    left: 0;
    right: 0;
    border: none;
    border-top: 1px solid var(--falcon-500) !important;
    border-bottom: 1px solid var(--falcon-500) !important;
    padding-top: 1px;
    z-index: 2;
}

#tableContainer thead tr {
    border-top: 0;
    position: relative;
    border-bottom: 0px;
}
#tableContainer thead tr:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0px;
    left: 0;
    right: 0;
    border: none;
    border-top: 1px solid var(--falcon-500) !important;
    border-bottom: 1px solid var(--falcon-500) !important;
    padding-top: 1px;
    z-index: 2;
}

/*DROP_DOWN*/
#frmDetails .dropdown-menu .dropdown-item {
    font-weight: 600;
    cursor: pointer;
}
#frmDetails .dropdown-menu .dropdown-item:hover {
    background-color: var(--falcon-badge-soft-info-background-color);
}

main .container-fluid {
    background-color: white !important;
}

main .main-content {
    background-color: whitesmoke;
    border-radius: 0.1rem;
}

main .navbar-vertical-content {
    background-color: white;
}
main .main-content{
    padding:0.2rem;
}
.navbar-light {
    background-color: white;
}

/*loading*/
.loading-skeleton #form,
.loading-skeleton #navbarVerticalCollapse {
    position: relative;
}
.loading-skeleton button,
.loading-skeleton .card .card-header button,
.loading-skeleton .card .card-header h6,
.loading-skeleton .main-content div,
.loading-skeleton #navTop ul,
.loading-skeleton #navbarVerticalCollapse .navbar-nav {
    visibility: hidden;
}
.loading-skeleton #navbarVerticalCollapse::after,
.loading-skeleton #navTop::after,
.loading-skeleton #form::after {
    content: '';
    position: absolute;
    pointer-events: none;
    animation: loading-skeleton 1s infinite alternate;
    color: transparent;
    appearance: none;
    -webkit-appearance: none;
    background-color: #eee;
    border-color: #eee;
    border-radius: 6px;
}
.loading-skeleton #form::after {
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
}
.loading-skeleton #navTop::after {
    top: 6px;
    right: 15px;
    left: 15px;
    bottom: 10px;
}
.loading-skeleton #navbarVerticalCollapse::after {
    top: 0px;
    right: 8px;
    left: 0;
    bottom: 0;
}
.loading-skeleton .card,
.loading-skeleton table{
    pointer-events: none;
    animation: loading-skeleton 1s infinite alternate;
    color: transparent;
    appearance: none;
    -webkit-appearance: none;
    background-color: #eee;
    border-color: #eee;
    border-radius: 6px;
}

@keyframes loading-skeleton {
    from {
        opacity: 0.6;
    }

    to {
        opacity: 1;
    }
}

 

@media (min-width: 1200px) {
    .navbar-vertical-collapsed .navbar-vertical.navbar-expand-xl {
        width: 2rem;
    }
    .navbar-vertical-collapsed .navbar-vertical.navbar-expand-xl + .content .navbar-top {
        padding-left: 12rem!important;
    }
}

@media (min-width: 1200px) {
    #logoBar {
        padding-top: 0.25rem !important;
        padding-bottom: 0.4rem;
    }
    .navbar-vertical-collapsed .navbar-vertical.navbar-expand-xl + .content {
        margin-left: 2rem;
    }
}

@media (min-width: 1200px) {
    .navbar-vertical.navbar-expand-xl + .content {
        margin-left: 11rem;
    }
}

@media (min-width: 1200px) {
    .navbar-vertical.navbar-expand-xl + .content {
        margin-left: 13rem;
    }
}
